Subject: Re: bug#6930: 24.0.50; (elisp) Layout Parameters: What is ""the standard fringe width"?

From: Chong Yidong <[email-masked]>
Date: Sun, 10 Apr 2011 16:44:14 -0400

"Drew Adams" <[email-masked]> writes:

> We speak here of setting the `left-fringe' parameter to nil, and
> calling `set-frame-parameter' or `modify-frame-parameters' passing nil
> for that parameter should, according to the description of those
> functions, set the value to...(drum roll) nil.  But it does not.  In
> fact, fringe params are exceptional.  "Setting" them to nil actually
> sets them to the default width, which is 8.

> Such exceptional behavior needs to be mentioned when documenting these
> fringe params

I have updated the documentation appropriately.  Thanks for the bug
report.